library(plotrix) 
library(lme4)  
library(car)   
library(MuMIn)             
require(vegan)
require(lme4)
#require(lmerTest)
require(RLRsim)
require(piecewiseSEM)
require(car)
#require(pbkrtest)
library(LMERConvenienceFunctions)
require(MuMIn)
require(scales)
library(rsq)
library(ggplot2)


setwd("C:/Users/ngross/Documents/Travail/MADRID/Litter Experiment/NATURE/analyse")
datatotal<-read.table("datalitter.txt", header=T)
colnames(datatotal)
  
 #[1] "Set"                "Soil"               "Biome"             
 # [4] "Type"               "New_code"           "MeanSLA"           
 # [7] "VarSLA"             "SkewSLA"            "KurtSLA"           
 #[10] "Meanlig"            "Varlig"             "Skewlig"           
 #[13] "Kurtlig"            "CO2_rate_1"         "CO2_rate_2"        
 #[16] "CO2_rate_3"         "CO2_rate_4"         "CO2_rate_5"        
 #[19] "CO2_rate_11"        "CO2_rate_18"        "CO2_rate_25"       
 #[22] "CO2_rate_32"        "CO2_rate_46"        "CO2_rate_60"       
 #[25] "CO2_rate_74"        "CO2_rate_88"        "CumCO2_1"          
 #[28] "CumCO2_2"           "CumCO2_3"           "CumCO2_4"          
 #[31] "CumCO2_5"           "CumCO2_11"          "CumCO2_18"         
 #[34] "CumCO2_25"          "CumCO2_32"          "CumCO2_46"         
 #[37] "CumCO2_60"          "CumCO2_74"          "CumCO2_88"         
 #[40] "Cumulative_CO2"     "Litter_Mass_loss"   "Litter_C_loss"     
 #[43] "Litter_N_loss"      "N_immobilization"   "Litter_initial"    
 #[46] "Litter_final"       "Litter_Ni"          "Litter_Nf"         
 #[49] "Litter_Ci"          "Litter_Cf"          "BG"                
 #[52] "CB"                 "NAG"                "LAP"               
 #[55] "PHOS"               "ARI"                "ENZ_C_N"           
 #[58] "ENZ_C_P"            "ENZ_N_P"            "C_ENZ"             
 #[61] "N_ENZ"              "SOC_."              "SOC_stocks"        
 #[64] "SOC_seq"            "SOC_g"              "SOC_seq_g"         
 #[67] "NH4"                "DIN"                "TAN"               
 #[70] "NO3"                "DON"                "AMP"               
 #[73] "NIP"                "DEP"                "MIN"               
 #[76] "NTR"                "I1_CO2"             "I2_CO2"            
 #[79] "I1_loss"            "I2_loss"            "Cumulative_CO2_obs"
 #[82] "Cumulative_CO2_exp" "T10"                "T15"               
 #[85] "T20"                "T25"                "T30"               
 #[88] "T35"                "T40"                "T45"               
 #[91] "T50"                "T55"                "T60"               
 #[94] "T65"                "T70"                "T75"               
 #[97] "T80"                "T85"                "T90"               
#100] "T95"                "T100"              

####################historgram des thredhols
hist(datatotal$T10,xlab="% of functions reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T20,xlab="% of functions  reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T30,xlab="% of functions  reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T40,xlab="% of functions  reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T50,xlab="% of functions  reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T60,xlab="% of functions  reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T70,xlab="% of functions  reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T80,xlab="% of functions  reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
hist(datatotal$T90,xlab="% of functions reaching the threshold",ylab="", col = "olivedrab3", lty=1, cex.lab = 1.5, cex = 0.5, main=NULL, xlim = c(0,+100))
####Scale predictor

datatotal$MeanSLA<-as.numeric(scale(datatotal$MeanSLA))
datatotal$VarSLA<-as.numeric(scale(datatotal$VarSLA))
datatotal$SkewSLA<-as.numeric(scale(datatotal$SkewSLA) )
datatotal$KurtSLA<-as.numeric(scale(datatotal$KurtSLA))
datatotal$Meanlig<-as.numeric(scale(datatotal$Meanlig) )
datatotal$Varlig<-as.numeric(scale(datatotal$Varlig) )
datatotal$Skewlig<-as.numeric(scale(datatotal$Skewlig))
datatotal$Kurtlig<-as.numeric(scale(datatotal$Kurtlig))



#####model
Mod10 <- glmer((T10) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
mcp.fnc(Mod10)
summary(Mod10)
r.squaredGLMM(Mod10)


Mod20 <- glmer((T20) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
mcp.fnc(Mod20)
summary(Mod20)
     
Mod30 <- glmer((T30) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod30)
Mod40 <- glmer((T40) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
mcp.fnc(Mod40)
     summary(Mod40)
Mod50 <- glmer((T50) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod50)
Mod60 <- glmer((T60) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod60)
Mod70 <- glmer((T70) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod70)
Mod80 <- glmer((T80) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod80)
Mod90 <- glmer((T90) ~  (1|Biome)+(MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod90)
     
r.squaredGLMM(Mod20)
r.squaredGLMM(Mod30)
r.squaredGLMM(Mod40)
r.squaredGLMM(Mod50)
r.squaredGLMM(Mod60)
r.squaredGLMM(Mod70)
r.squaredGLMM(Mod80)
r.squaredGLMM(Mod90)

Mod20b <- glm((T20) ~ (MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
summary(Mod20b)

Mod30b <- glm((T30) ~  (MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod30b)
     
Mod40b <- glm((T40) ~  (MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
mcp.fnc(Mod40b)
     summary(Mod40)
Mod50b <- glm((T50) ~  (MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod50b)
Mod60b <- glm((T60) ~  (MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod60b)
Mod70b <- glm((T70) ~ (MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod70b)
Mod80b <- glm((T80) ~  (MeanSLA)+(VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal,na.action=na.fail, family=poisson)
     summary(Mod80b)

r.squaredGLMM(Mod20b)
r.squaredGLMM(Mod30b)
r.squaredGLMM(Mod40b)
r.squaredGLMM(Mod50b)
r.squaredGLMM(Mod60b)
r.squaredGLMM(Mod70b)
r.squaredGLMM(Mod80b)
r.squaredGLMM(Mod90b)

AIC(Mod20b)
AIC(Mod30b)
AIC(Mod40b)
AIC(Mod50b)
AIC(Mod60b)
AIC(Mod70b)
AIC(Mod80b)

anova(Mod20,Mod20b)
anova(Mod30,Mod30b)
anova(Mod40,Mod40b)
anova(Mod50,Mod50b)
anova(Mod60,Mod60b)
anova(Mod70,Mod70b)
anova(Mod80,Mod80b)


#Mod60bb <- glmer((T60) ~  (MeanSLA|Biome)+(MeanSLA)+(VarSLA|Biome)+(VarSLA) + (SkewSLA|Biome)+(SkewSLA) + (KurtSLA|Biome)+(KurtSLA)
 #                        + (Meanlig|Biome)+(Meanlig) + (Varlig|Biome)+(Varlig) + (Skewlig|Biome)+(Skewlig) + (Kurtlig|Biome)+(Kurtlig), data = 
###################################################################################################################################################
###################################################################################################################################################
### Function by function
#[40] "Cumulative_CO2"     "Litter_Mass_loss"   "Litter_C_loss"     
 #[43] "Litter_N_loss"      "N_immobilization"   "Litter_initial"    
 #[46] "Litter_final"       "Litter_Ni"          "Litter_Nf"         
 #[49] "Litter_Ci"          "Litter_Cf"          "BG"                
 #[52] "CB"                 "NAG"                "LAP"               
 #[55] "PHOS"               "ARI"                "ENZ_C_N"           
 #[58] "ENZ_C_P"            "ENZ_N_P"            "C_ENZ"             
 #[61] "N_ENZ"              "SOC_."              "SOC_stocks"        
 #[64] "SOC_seq"            "SOC_g"              "SOC_seq_g"         
 #[67] "NH4"                "DIN"                "TAN"               
 #[70] "NO3"                "DON"                "AMP"               
 #[73] "NIP"                "DEP"                "MIN"               
 #[76] "NTR"                "I1_CO2"             "I2_CO2"            
 #[79] "I1_loss"            "I2_loss"            "Cumulative_CO2_obs"
 #[82] "Cumulative_CO2_exp"

Mod1 <- lmer((Cumulative_CO2) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod1)
Anova(Mod1)
r.squaredGLMM(Mod1)
AIC(Mod1)


Mod1b <- lm((Cumulative_CO2) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod1b)
AIC(Mod1b)
anova(Mod1,Mod1b)


Mod2 <- lmer((Litter_C_loss) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod2)
Anova(Mod2)
r.squaredGLMM(Mod2)

Mod2b <- lm((Litter_C_loss) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod2b)
AIC(Mod2b)
anova(Mod2,Mod2b)


Mod3 <- lmer((Litter_N_loss) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod3)
Anova(Mod3)
r.squaredGLMM(Mod3)

Mod3b <- lm((Litter_N_loss) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod3b)
AIC(Mod3b)
anova(Mod3,Mod3b)




Mod4 <- lmer((PHOS) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod4)
Anova(Mod4)
r.squaredGLMM(Mod4)

Mod4b <- lm((PHOS) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod4b)
AIC(Mod4b)
anova(Mod4,Mod4b)




Mod5 <- lmer((C_ENZ) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod5)
Anova(Mod5)
r.squaredGLMM(Mod5)

Mod5b <- lm((C_ENZ) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod5b)
AIC(Mod5b)
anova(Mod5,Mod5b)


Mod6 <- lmer((N_ENZ) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod6)
Anova(Mod6)
r.squaredGLMM(Mod6)


Mod6b <- lm((N_ENZ) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod6b)
AIC(Mod6b)
anova(Mod6,Mod6b)




Mod7 <- lmer((TAN) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod7)
Anova(Mod7)
r.squaredGLMM(Mod7)


Mod7b <- lm((TAN) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod7b)
AIC(Mod7b)
anova(Mod7,Mod7b)



Mod8 <- lmer((AMP) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod8)
Anova(Mod8)
r.squaredGLMM(Mod8)

Mod8b <- lm((AMP) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod8b)
AIC(Mod8b)
anova(Mod8,Mod8b)




Mod9 <- lmer((NIP) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod9)
Anova(Mod9)
r.squaredGLMM(Mod9)

Mod9b <- lm((NIP) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod9b)
AIC(Mod9b)
anova(Mod9,Mod9b)




Mod10 <- lmer((I2_CO2) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod10)
Anova(Mod10)
r.squaredGLMM(Mod10)

Mod10b <- lm((I2_CO2) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod10b)
anova(Mod10,Mod10b)






Mod11 <- lmer((I2_loss) ~ (1|Biome) + (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail,REML ="TRUE") 
summary(Mod11)
Anova(Mod11)
r.squaredGLMM(Mod11)

Mod11b <- lm((I2_loss) ~ (MeanSLA)+ (VarSLA) + (SkewSLA) + (KurtSLA) + (Meanlig) + (Varlig) + (Skewlig) + (Kurtlig), data = datatotal, na.action = na.fail) 
summary(Mod11b)
AIC(Mod11b)
anova(Mod11,Mod11b)




####################################################################################################################################################
####################################################################################################################################################
####################################################################################################################################################
#MICROBES
####################################################################################################################################################
####################################################################################################################################################

setwd("C:/Users/ngross/Documents/Travail/MADRID/Litter Experiment/ANALYSE/data")
data<-read.table("dataSKRmicrobes.txt", header=T)
colnames(data)



Mod12<- lmer((X16S_Simpson) ~ (1|Biome) +  scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit,REML ="TRUE")
Anova(Mod12)
summary(Mod12) 
r.squaredGLMM(Mod12)

Mod12b<- lm((X16S_Simpson) ~ scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit)
summary(Mod12b) 
anova(Mod12,Mod12b)





Mod13<- lmer((ITS_Simpson) ~ (1|Biome) +  scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit,REML ="TRUE")
Anova(Mod13)
summary(Mod13) 
r.squaredGLMM(Mod12)

Mod13b<- lm((ITS_Simpson) ~ scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit)
Anova(Mod13b)
summary(Mod13b) 
anova(Mod13,Mod13b)



Mod14<- lmer((Plant_Pathog) ~ (1|Biome) +  scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit,REML ="TRUE")
Anova(Mod14)
summary(Mod14)
r.squaredGLMM(Mod14)

Mod14b<- lm((Plant_Pathog) ~ scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit)
Anova(Mod14b)
summary(Mod14b) 
anova(Mod14,Mod14b)



Mod15<- lmer((Saprotroph) ~ (1|Biome) +  scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit,REML ="TRUE")
Anova(Mod15)
summary(Mod15)
r.squaredGLMM(Mod15)

Mod15b<- lm((Saprotroph) ~ scale(MeanSLA)+ scale(VarSLA) + scale(SkewSLA) + scale(KurtSLA) + scale(Meanlig) + scale(Varlig) + scale(Skewlig) + scale(Kurtlig), data = data, na.action = na.omit)
Anova(Mod15b)
summary(Mod15b) 
anova(Mod15,Mod15b)











 